Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem
Class AbstractLogOrThrowWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

Direct Known Subclasses:
  ArchiveWorkItemHandler, EmailWorkItemHandler, ExecWorkItemHandler, FTPUploadWorkItemHandler, JabberWorkItemHandler, JavaHandlerWorkItemHandler, JavaInvocationWorkItemHandler, RestGeoCodeApiCallWorkItemHandler, RESTWorkItemHandler, RSSWorkItemHandler, TransformWorkItemHandler, WebServiceWorkItemHandler

    public abstract class AbstractLogOrThrowWorkItemHandler

extends Object
implements WorkItemHandler

Field Summary
`protected boolean` | `logThrownException`

Constructor Summary
`AbstractLogOrThrowWorkItemHandler()`

Method Summary
`protected void` | `handleException(Throwable cause)`
`protected void` | `handleException(Throwable cause, Map<String,Object> handlerInfoMap)`
`void` | `setLogThrownException(boolean logException)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.api.runtime.process.WorkItemHandler
`abortWorkItem, executeWorkItem`

Field Detail

### logThrownException

    protected boolean logThrownException

Constructor Detail

### AbstractLogOrThrowWorkItemHandler

    public AbstractLogOrThrowWorkItemHandler()

Method Detail

### setLogThrownException

    public void setLogThrownException(boolean logException)

### handleException

    protected void handleException(Throwable cause)

### handleException

    protected void handleException(Throwable cause,
                                   Map<String,Object> handlerInfoMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.